local function onScenarioChange(scenario)
    if scenario.state == 'pre-start' then
        -- Find TimeOfDay object, set time to midnight
        local todObjectList = scenetree.findClassObjects('TimeOfDay')
        local todObject = scenetree.findObject(todObjectList[1])
        todObject.time = 0.5
        -- Activate high beams
        scenetree.scenario_player0:queueLuaCommand('electrics.setLightsState(2)')    
    end
end

return {onScenarioChange = onScenarioChange}